Results 1 to 5 of 5

Thread: Problems installing from opensuse factory

  1. #1

    Default Problems installing from opensuse factory

    Hi,

    I recently wanted to install the latest version of monodevelop. I did the following:
    1. Visited
      software.opensuse.org: Search
    2. Typed monodevelop as the search term
    3. I clicked "Show other versions"
    4. I clicked the "openSUSE Factory" group
    5. I clicked the "1 click install" link for v2.8.5
    6. The yast install process got underway, but complained with the following popup:

      An error occurred while initializing the software repository.
      Details:
      openSUSE:Factory: [|] Valid metadata not found at specified URL(s)
      History:
      - [|] Repository type can't be determined.

      Try again?
    7. When I click "Yes", it allows me to edit the url, which is currently:Index of /factory/repo/oss/suse


    Anyone know why this problem is occuring? I am using OpenSuse 11.4.

    Regards,
    Gurce

  2. #2
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,719
    Blog Entries
    20

    Default Re: Problems installing from opensuse factory

    Are you absolutely sure you want to do this. It could well break your system.
    Leap 15_KDE
    My Articles Was I any help? If yes: Click the star below

  3. #3
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,719
    Blog Entries
    20

    Default Re: Problems installing from opensuse factory

    It might be better trying a users build such as

    Index of /repositories/home:/dmulder:/branches:/Mono/openSUSE_11.4
    Leap 15_KDE
    My Articles Was I any help? If yes: Click the star below

  4. #4
    dd@home.dk NNTP User

    Default Re: Problems installing from opensuse factory

    On 07/26/2012 08:36 AM, Gurce wrote:
    >
    > I recently wanted to install the latest version of monodevelop.


    factory = danger, Work in Progress

    as far as i can see (in bugzilla) monodevelop has a basket full of bugs,
    and i see at http://monodevelop.com/ the latest version is not the 2.8.5
    in factory, but 3.0.3 which was released last month:

    http://monodevelop.com/Download/Rele...oDevelop_3.0.3

    as for your actual question: i would never ever install from factory
    because: it is a moving target! it might have 2.8.5 this morning and by
    noon that version discovered to be terrible--massively full of bugs, and
    tomorrow morning factory might have 2.8.6 and it too be worthless and
    then day after tomorrow it might have 3.0.0

    "factory" is a work in progress....never ever considered to be anything
    other than TESTING software...that is "factory" today contains the
    _potential_ code for openSUES 12.3, and is therefore a 'pure ****
    shoot'....it maybe good, it may not...you _never_ know...

    it is your machine and if you wanna try 2.8.5 go ahead....but, i don't
    know why you got the error you did, i just tried to install it the same
    way you did and got the same error..

    perhaps there is a transitory fault at the server...try again later...if
    it persist you can log a bug against it...

    if it were my machine, i'd either use what is available in the 11.4
    repos OR go 'whole hog' and install a 3.x version..

    of course, mine is just an opinion, and you will find others so stick
    around, and ymmv

    --
    dd

  5. #5

    Default Re: Problems installing from opensuse factory

    Quote Originally Posted by caf4926 View Post
    It might be better trying a users build such as

    Index of /repositories/home:/dmulder:/branches:/Mono/openSUSE_11.4
    Or the repository where the official backport to openSUSE 11.4 is ;-) -> http://download.opensuse.org/reposit...openSUSE_11.4/

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •